Name:           bootchart 
Version:        0.14.0
Release:        %mkrel 1.3.git20110630.3
Summary:        Boot Process Performance Visualization
License:        GPLv2+ and GPLv3+
URL:            https://github.com/mmeeks/bootchart
Source0:        https://github.com/downloads/mmeeks/bootchart/bootchart2-%{version}.tar.bz2
Patch0001:      0001-bootchartd-Expect-dmesg-log-only-if-bootchartd-run-a.patch
Patch0002:      0002-Update-NEWS.patch
Patch0003:      0003-Fix-tests-import-path-so-we-can-call-them-from-sourc.patch
Patch0004:      0004-tests-update-parsing-tests-for-ParserState-Trace-cha.patch
Patch0005:      0005-tests-Fix-errors-and-failures-of-testParseProcPsLog.patch
Patch0006:      0006-tests-remove-unuseful-testParseLogDir.patch
Patch0007:      0007-tests-update-for-Trace-and-ProcessTree-api-changes.patch
Patch0008:      0008-Add-Makefile-target-for-executing-pybootchartgui-tes.patch
Patch0009:      0009-Fix-self-reference-in-bootchartd-SEE-ALSO-section-ma.patch
Patch0010:      0010-pybootchartgui-support-hp-smart-arrays-block-device.patch
Patch0011:      0011-pybootchartgui-fix-hp-smart-array-regexp.patch
Patch0012:      0012-bootchartd-Look-for-bootchart_init-in-the-environmen.patch
Patch0013:      0013-pybootchartgui-main.py-fix-output-filename.patch
Patch0014:      0014-pybootchartgui-main.py.in-set-default-format-to-png.patch
Patch0015:      0015-parsing.py-_parse_proc_stat_log-skip-empty-lines.patch
Patch0016:      0016-collector-move-to-run-bootchart-instead-of-dev-.boot.patch

Group:          Monitoring
BuildRequires:  python
BuildRequires:  systemd-units
Requires:       bootchart-daemon
Requires:       pygtk2

%description
A tool for performance analysis and visualization of the GNU/Linux boot
process. Resource utilization and process information are collected during
the boot process and are later rendered in a PNG, SVG or EPS encoded chart.

%package daemon
Summary:        Bootchart logger script
Group:          Monitoring
Requires(post):   systemd-units
Requires(preun):  systemd-units
Requires(postun): systemd-units
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description daemon
A tool for performance analysis and visualization of the GNU/Linux boot
process. This package includes the standalone logger daemon and configuration
file.

%prep
%setup -q -n bootchart2-%{version}
%apply_patches

%build
%make

# bootchart adds 'site-packages' itself, so we just want eg /usr/lib/python2.7 here
%define python_libdir `echo "%{python_sitelib}" | sed 's/\\/site-packages//'`

%install
%makeinstall_std \
  PY_LIBDIR=%{python_libdir}\
  NO_PYTHON_COMPILE=1 \
  SYSTEMD_UNIT_DIR=%{_unitdir}

ln -s pybootchartgui %{buildroot}%{_bindir}/bootchart

mkdir -p %{buildroot}%{_sysconfdir}/dracut.conf.d
echo 'add_dracutmodules+=" bootchart "' > %{buildroot}%{_sysconfdir}/dracut.conf.d/bootchartd.conf

rm -f  %{buildroot}%{_datadir}/docs/%{name}/README %{buildroot}%{_datadir}/docs/%{name}/README.pybootchart


%clean
rm -rf %{buildroot}

%post daemon
%_post_service %{name}

%preun daemon
%_preun_service %{name}

%postun daemon
%_postun_service %{name}

%files
%doc AUTHORS COPYING NEWS README* TODO
%attr(0755,root,root) %{_bindir}/pybootchartgui
%{_bindir}/bootchart
%{python_sitelib}/*
%{_mandir}/man1/bootchart2.1*
%{_mandir}/man1/pybootchartgui.1*

%files daemon
%doc AUTHORS COPYING NEWS README* TODO
%attr(0755,root,root) /sbin/bootchartd
%dir %attr(0755,root,root) /lib/bootchart
/lib/bootchart/*
%{_unitdir}/*
%config(noreplace) %{_sysconfdir}/bootchartd.conf
%config(noreplace) %{_sysconfdir}/dracut.conf.d/bootchartd.conf
%{_mandir}/man1/bootchartd.1*


%changelog

* Sat Apr 28 2012 tmb <tmb> 0.14.0-1.3.git20110630.3.mga2
+ Revision: 233613
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 27 2012 tmb <tmb> 0.14.0-1.3.git20110630.2.mga2
+ Revision: 233516
- rebuild for versioned rpm-helper requires

* Tue Nov 08 2011 colin <colin> 0.14.0-1.3.git20110630.1.mga2
+ Revision: 165689
- imported package bootchart


* Thu Jun 30 2011 Harald Hoyer <harald@redhat.com> 0.14.0-1.3.git20110630
- update to latest git
- fixed write bug 
Resolves: rhbz#699934

* Thu Apr 07 2011 Harald Hoyer <harald@redhat.com> 0.14.0-1.2.git20110331
- fixed output filename

* Thu Mar 31 2011 Harald Hoyer <harald@redhat.com> 0.14.0-1.1.git20110331
- version 0.14.0
- make use of /run

* Mon Feb 13 2011 Dan Williams <dcbw@redhat.com> 0.12.4-6.1.git20101122
- really fix python subdir

* Wed Feb 09 2011 Harald Hoyer <harald@redhat.com> 0.12.4-5.1.git20101122
- fixed python subdir

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.4-4.1.git20101122
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 22 2010 Harald Hoyer <harald@redhat.com> 0.12.4-3.1.git20101122
- fixed netlink interface for PROC_EVENT
- add dracut conf file, to add bootchart module
- updated rpm to latest git

* Fri Nov 19 2010 Harald Hoyer <harald@redhat.com> 0.12.4-2.1.git20101119
- merged our patches with upstream git
- added fixes to upstream git for initramfs rdinit=/sbin/bootchartd
- added systemd service files upstream
- updated rpm to latest git

* Wed Nov  3 2010 Bill Nottingham <notting@redhat.com - 0.12.4-1
- use new bootchart daemon & rendering code

* Wed Nov  3 2010 Marcela Mašláňová <mmaslano@redhat.com> - 0.9-12
- 475062 apply patch from Curtis Doty with few adjustment. daemon sub-package shouldn't
 install useless requirements on server.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar 19 2008 Warren Togami <wtogami@redhat.com> - 0.9-9
- Make bootchart work with readonly root
- Stop data collection when ldm process appears
- Make install/remove work in a chroot without grub.conf

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9-8
- Autorebuild for GCC 4.3

* Tue Jan 22 2008 Adam Jackson <ajax@redhat.com> 0.9-7
- Only munge the grub config for the currently-running kernel; otherwise,
  if you dual-boot between multiple Linuxes, installing bootchart on one
  will break boot of the other.  Note that if you have multiple roots
  running the same kernel, this will still break.

* Mon Oct 29 2007 Adam Jackson <ajax@redhat.com> 0.9-6
- Don't remove bootchart from grub.conf on upgrade. (#349101)

* Mon Aug 27 2007 Adam Jackson <ajax@redhat.com> 0.9-5
- Additional minor spec cleanups from review bug (#219889)

* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> 0.9-4
- Fold the subpackages together, not really worth splitting.
- Add gcj pre-compilation.

* Thu Aug 16 2007 Adam Jackson <ajax@redhat.com> 0.9-3
- Fix license.
- Change logger group to System Environment/Base.
- install -p.
- Change buildroot to the new dogma.

* Wed Aug 15 2007 Adam Jackson <ajax@redhat.com> 0.9-2
- Update URL
- Change Group to Apps/System.
- Merge the base (renderer) and javadoc subpackages.
- Force use of bootchartd when it's installed, rather than only install
  it for the current kernel or mess with rpm triggers.

* Fri Dec 15 2006 John (J5) Palmieri <johnp@redhat.com> - 0.9-1
- Initial fedora package 
